## rust-tre-command 0.3.6

=== Makefile ===

.PHONY: check
check:
	@cargo check
	@cargo clippy -- -D warnings
	@cargo clippy -- --check

.PHONY: build
build:
	@cargo build

.PHONY: test
test:
	@cargo test

.PHONY:
cargo-publish:
	@cargo publish --dry-run

setup:
	@rustup default stable
	@rustup component add rls rust-analysis rust-src

=== debian/changelog ===
rust-tre-command (0.3.6-2) unstable; urgency=medium

  * Team upload.
  * Package tre-command 0.3.6 from crates.io using debcargo 2.5.0
  * Bump lscolors dependency to 0.8

 -- Peter Michael Green <plugwash@debian.org>  Tue, 07 Dec 2021 21:49:56 +0000

rust-tre-command (0.3.6-1) unstable; urgency=medium

  * Package tre-command 0.3.6 from crates.io using debcargo 2.4.4

 -- Daniel Duan <daniel@duan.ca>  Sun, 19 Sep 2021 21:06:57 +0200

=== debian/control ===
Source: rust-tre-command
Section: utils
Priority: optional
Build-Depends: debhelper (>= 12),
 dh-cargo (>= 25),
 cargo:native,
 rustc:native,
 libstd-rust-dev,
 librust-atty-0.2+default-dev,
 librust-getopts-0.2+default-dev,
 librust-lscolors-0.8+default-dev,
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev,
 librust-serde-json-1+default-dev,
 librust-slab-0.4+default-dev (>= 0.4.1-~~),
 librust-termcolor-1+default-dev,
 librust-walkdir-2+default-dev,
 help2man
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Daniel Duan <daniel@duan.ca>
Standards-Version: 4.5.1
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/tre-command]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/tre-command
Homepage: https://github.com/dduan/tre
Rules-Requires-Root: no

Package: tre-command
Architecture: any
Multi-Arch: allowed
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ${cargo:Depends}
Recommends:
 ${cargo:Recommends}
Suggests:
 ${cargo:Suggests}
Provides:
 ${cargo:Provides}
Built-Using: ${cargo:Built-Using}
XB-X-Cargo-Built-Using: ${cargo:X-Cargo-Built-Using}
Description: Tree command, improved
 A replacement for tree command that uses git ls-files as source of file when
 possible.
 .
 tre can also create shell aliases that, when executed, opens the file
 associated with it with the default editor.

## rust-tre-command 0.4.0

=== Makefile ===
.PHONY: check
check:
	@cargo check
	@cargo clippy -- -D warnings

.PHONY: build
build:
	@SHELL_COMPLETIONS_DIR=scripts/completion cargo build

.PHONY: test
test:
	@cargo test

.PHONY: cargo-publish
cargo-publish:
	@cargo publish --dry-run

setup:
	@rustup default stable
	@rustup component add rls rust-analysis rust-src

.PHONY: check-version
check-version:
	@scripts/check-version.py

=== debian/changelog ===
rust-tre-command (0.4.0-7) unstable; urgency=medium

  * Team upload.
  * Package tre-command 0.4.0 from crates.io using debcargo 2.7.8
  * Bump lscolors dependency to v0.20 (Closes: #1101595)

 -- NoisyCoil <noisycoil@tutanota.com>  Sat, 29 Mar 2025 22:03:46 +0100

rust-tre-command (0.4.0-6) unstable; urgency=medium

  * Team upload.
  * Package tre-command 0.4.0 from crates.io using debcargo 2.6.1
  * Bump indexmap dependency to 2.

 -- Peter Michael Green <plugwash@debian.org>  Thu, 16 May 2024 05:17:16 +0000

rust-tre-command (0.4.0-5) unstable; urgency=medium

  * Team upload.
  * Package tre-command 0.4.0 from crates.io using debcargo 2.6.1
  * Bump lscolors dependency to 0.16

 -- Peter Michael Green <plugwash@debian.org>  Sun, 07 Jan 2024 11:26:12 +0000

rust-tre-command (0.4.0-4) unstable; urgency=medium

  * Team upload.
  * Package tre-command 0.4.0 from crates.io using debcargo 2.6.0
  * Bump lscolors dependency to 0.14

 -- Peter Michael Green <plugwash@debian.org>  Sat, 08 Jul 2023 13:49:57 +0000

rust-tre-command (0.4.0-3) unstable; urgency=medium

  * Team upload.
  * Package tre-command 0.4.0 from crates.io using debcargo 2.6.0
  * Bump lscolors dependency to 0.13

 -- Peter Michael Green <plugwash@debian.org>  Sat, 14 Jan 2023 01:13:45 +0000

rust-tre-command (0.4.0-2) unstable; urgency=medium

  * Team upload.
  * Package tre-command 0.4.0 from crates.io using debcargo 2.5.0
  * Bump lscolors dependency to 0.12.

 -- Peter Michael Green <plugwash@debian.org>  Thu, 25 Aug 2022 02:21:51 +0000

rust-tre-command (0.4.0-1) unstable; urgency=medium

  * Team upload.
  * Package tre-command 0.4.0 from crates.io using debcargo 2.5.0
  * Relax dependency on indexmap to 1.7.
  * Fix bulid with lscolors 0.10 (Closes: #1013542)

 -- Peter Michael Green <plugwash@debian.org>  Fri, 24 Jun 2022 19:50:33 +0000

=== debian/control ===
Source: rust-tre-command
Section: utils
Priority: optional
Build-Depends: debhelper-compat (= 13),
 dh-sequence-cargo,
 help2man
Build-Depends-Arch: cargo:native,
 rustc:native,
 libstd-rust-dev,
 librust-atty-0.2+default-dev,
 librust-clap-3+cargo-dev (>= 3.1.8-~~),
 librust-clap-3+default-dev (>= 3.1.8-~~),
 librust-clap-3+derive-dev (>= 3.1.8-~~),
 librust-clap-complete-3+default-dev (>= 3.1-~~),
 librust-getopts-0.2+default-dev,
 librust-indexmap-2+default-dev,
 librust-lscolors-0.20+default-dev,
 librust-regex-1+default-dev (>= 1.5.5-~~),
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev,
 librust-serde-json-1+default-dev,
 librust-slab-0.4+default-dev (>= 0.4.1-~~),
 librust-termcolor-1+default-dev,
 librust-walkdir-2+default-dev
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Daniel Duan <daniel@duan.ca>
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/tre-command]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/tre-command
Homepage: https://github.com/dduan/tre
X-Cargo-Crate: tre-command
Rules-Requires-Root: no

Package: tre-command
Architecture: any
Multi-Arch: allowed
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ${cargo:Depends}
Recommends:
 ${cargo:Recommends}
Suggests:
 ${cargo:Suggests}
Provides:
 ${cargo:Provides}
Built-Using: ${cargo:Built-Using}
Static-Built-Using: ${cargo:Static-Built-Using}
Description: Tree command, improved
 A replacement for tree command that uses git ls-files as source of file when
 possible.
 .
 tre can also create shell aliases that, when executed, opens the file
 associated with it with the default editor.

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/tre-command-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/tre-command .*/crates/tre-command/@ANY_VERSION@/download
